For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
      • GETList or filter outcomes
      • POSTCreate an outcome
      • GETFetch a single outcome
      • PUTUpdate an outcome
      • DELDelete an outcome
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Communication ConfigurationOutcomes

Create an outcome

||View as Markdown|
POST
https://api.close.com/api/v1/outcome/
POST
/api/v1/outcome/
$curl -X POST https://api.close.com/api/v1/outcome/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "name": "Not Interested",
> "description": "Prospect declined our offer",
> "type": "custom"
>}'
1{
2 "applies_to": [
3 "calls",
4 "meetings"
5 ],
6 "created_by": "user_a6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
7 "date_created": "2025-07-29T10:30:00.000000+00:00",
8 "date_updated": "2025-07-29T10:30:00.000000+00:00",
9 "description": "Prospect declined our offer",
10 "id": "outcome_03oUxZfoO6e2vHmcz1DiHR",
11 "name": "Not Interested",
12 "organization_id": "orga_rbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
13 "type": "custom",
14 "updated_by": "user_a6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
15}
Create a new outcome for the organization.
Was this page helpful?
Previous

List or filter outcomes

Next

Fetch a single outcome

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired
Displayed to users wherever outcomes can be selected.
descriptionstring or nullOptional
Explain what the outcome means and when it should be used.
typeenumOptional

Set to vm-dropped if this outcome should be automatically set on calls whenever a team member performs a Voicemail Drop. Otherwise, leave empty or explicitly set to custom (default).

Allowed values:
applies_tolist of enums or nullOptionalDeprecated

Deprecated. This field will be derived from type in a future update: custom applies to calls and meetings, vm-dropped applies to calls only.

Allowed values:

Response

Successful response
applies_tolist of enums
Allowed values:
created_bystring or null
date_createddatetime
date_updateddatetime
descriptionstring or null
idstring
namestring
organization_idstring
typeenum
Allowed values:
updated_bystring or null

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error